Subject: [SWIPL] Testing frameworks that work with SWI Prolog?

From: Tom Breton <[email-masked]>
Date: 19 Apr 2001 10:21:39 -0400

Are there any regression testing frameworks that work with SWI Prolog?
I mean a module that will take code along the lines of:

foo(...) :- ...
example( foo(a,b) ).
example( foo(c,d) ).

and automatically test that all the examples of `foo' work.
Presumably with some diagnostics when it fails.

If not, then I'm on the verge of writing such a thing (I wrote/adapted
the same thing for Lisp), and if so I'll submit it as an addition to
SWI, if it would be welcome.

-- 
Tom Breton, http://world.std.com/~tob